#  Config file for libyui-gtk-pkg
#  It defines the following variables
#  LIBYUI-GTK-PKG_INCLUDE_DIRS - include directories for libyui-gtk-pkg
#  LIBYUI-GTK-PKG_LIBRARIES    - libraries to link against
#  LIBYUI-GTK-PKG_PREFIX       - prefix where libyui-gtk-pkg is installed
#  LIBYUI-GTK-PKG_SONAME       - soname of libyui-gtk-pkg
#  LIBYUI-GTK-PKG_SONAME_MAJOR - soname of libyui-gtk-pkg
#  LIBYUI-GTK-PKG_SONAME_MINOR - soname of libyui-gtk-pkg
#  LIBYUI-GTK-PKG_SONAME_PATCH - soname of libyui-gtk-pkg

# Export the SONAME for use by plugins
SET( LIBYUI-GTK-PKG_SONAME "6.0.0" )
SET( LIBYUI-GTK-PKG_SONAME_MAJOR "6" )
SET( LIBYUI-GTK-PKG_SONAME_MINOR "0" )
SET( LIBYUI-GTK-PKG_SONAME_PATCH "0" )

# Compute paths
SET( LIBYUI-GTK-PKG_PREFIX "/usr" )
GET_FILENAME_COMPONENT( LIBYUI-GTK-PKG_CMAKE_DIR "${CMAKE_CURRENT_LIST_FILE}" PATH )
IF( EXISTS "${LIBYUI-GTK-PKG_CMAKE_DIR}/CMakeCache.txt" )
   # In build tree
   INCLUDE( "${LIBYUI-GTK-PKG_CMAKE_DIR}/Libyui-gtk-pkgBuildTreeSettings.cmake" )
ELSE()
   SET( LIBYUI-GTK-PKG_INCLUDE_DIRS /usr/include/yui/gtk-pkg /usr/include/yui/gtk-pkg/.. )
ENDIF()

# Our library dependencies (contains definitions for IMPORTED targets)
INCLUDE( "${LIBYUI-GTK-PKG_CMAKE_DIR}/Libyui-gtk-pkgLibraryDepends.cmake" )

# These are IMPORTED targets created by Libyui-gtk-pkgLibraryDepends.cmake
SET( LIBYUI-GTK-PKG_LIBRARIES yui-gtk-pkg )

MESSAGE( STATUS "Found Libyui-gtk-pkg: ${IMPORTED_LOCATION_RELEASE} (Version: 2.43.2)" )
